From c45f7df287381dd74883ed13e4c080dd7e72b12f Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Thu, 22 Jan 2009 17:02:28 +0530
Subject: [PATCH] gcc: Keep up the %files section.

Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 gcc.spec |   17 +++++++++++++++++
 1 files changed, 17 insertions(+), 0 deletions(-)

diff --git a/gcc.spec b/gcc.spec
index 9ea4de9..072440c 100644
--- a/gcc.spec
+++ b/gcc.spec
@@ -1310,7 +1310,9 @@ fi
 %ifarch ppc64
 %{_prefix}/bin/ppc-%{_vendor}-%{_target_os}-gcc
 %endif
+%ifnarch %{arm}
 %{_prefix}/bin/%{gcc_target_platform}-gcc
+%endif
 %{_mandir}/man1/gcc.1*
 %{_mandir}/man1/gcov.1*
 %{_mandir}/man1/protoize.1*
@@ -1355,6 +1357,19 @@ fi
 %{_prefix}/lib/gcc/%{gcc_target_platform}/%{gcc_version}/include/cpuid.h
 %{_prefix}/lib/gcc/%{gcc_target_platform}/%{gcc_version}/include/cross-stdarg.h
 %endif
+%ifarch %{arm}
+%dir %{_prefix}/lib/gcc/%{gcc_target_platform}/%{gcc_version}/include-fixed
+%{_prefix}/lib/gcc/%{gcc_target_platform}/%{gcc_version}/include-fixed/README
+%{_prefix}/lib/gcc/%{gcc_target_platform}/%{gcc_version}/include-fixed/linux/a.out.h
+%{_prefix}/lib/gcc/%{gcc_target_platform}/%{gcc_version}/include/arm_neon.h
+%{_prefix}/lib/gcc/%{gcc_target_platform}/%{gcc_version}/include/mmintrin.h
+%{_prefix}/lib/gcc/%{gcc_target_platform}/%{gcc_version}/include/ssp/ssp.h
+%{_prefix}/lib/gcc/%{gcc_target_platform}/%{gcc_version}/include/ssp/stdio.h
+%{_prefix}/lib/gcc/%{gcc_target_platform}/%{gcc_version}/include/ssp/string.h
+%{_prefix}/lib/gcc/%{gcc_target_platform}/%{gcc_version}/include/ssp/unistd.h
+%{_prefix}/lib/gcc/%{gcc_target_platform}/%{gcc_version}/include/stdfix.h
+%{_prefix}/lib/gcc/%{gcc_target_platform}/%{gcc_version}/install-tools
+%endif
 %ifarch ia64
 %{_prefix}/lib/gcc/%{gcc_target_platform}/%{gcc_version}/include/ia64intrin.h
 %endif
@@ -1435,7 +1450,9 @@ fi
 
 %files c++
 %defattr(-,root,root)
+%ifnarch %{arm}
 %{_prefix}/bin/%{gcc_target_platform}-*++
+%endif
 %{_prefix}/bin/g++
 %{_prefix}/bin/c++
 %{_mandir}/man1/g++.1*
-- 
1.5.5.6

